Telegram APIStories
stories.getStoriesViews
Obtain info about the view count, forward count, reactions and recent viewers of one or more stories.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
workspaceId*string
Workspace ID
accountId*string
Telegram account ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
params*
Obtain info about the view count, forward count, reactions and recent viewers of one or more stories.
Response Body
application/json
application/json
curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/stories.getStoriesViews" \ -H "Content-Type: application/json" \ -d '{ "params": { "peer": { "_": "inputPeerEmpty" }, "id": [ 0 ] } }'{ "result": { "_": "stories.storyViews", "views": [ { "_": "storyViews", "hasViewers": true, "viewsCount": 0, "forwardsCount": 0, "reactions": [ { "_": "reactionCount", "chosenOrder": 0, "reaction": { "_": "reactionEmpty" }, "count": 0 } ], "reactionsCount": 0, "recentViewers": [ 0 ] } ], "users": [ { "_": "userEmpty", "id": 0 } ] }}getStoriesByID
Obtain full info about a set of [stories](https://core.telegram.org/api/stories) by their IDs.
getStoryReactionsList
Get the [reaction](https://core.telegram.org/api/reactions) and interaction list of a [story](https://core.telegram.org/api/stories) posted to a channel, along with the sender of each reaction. Can only be used by channel admins.